#!/usr/bin/gawk -f

# Read a ('labelled') fasta files and filter on sequence length

BEGIN {
  limit = 200
}


/^>/{
  if (name && length(seq)>limit) {
    print name
    print seq
    if (label) {print "# " label}
  }
  name = $0
  seq = ""
  label = ""
  next
}

/^#/ {
  label = label substr($0,3)
  next
}

{
  gsub(" ","")
  seq = seq $0
}

END {
  if(xit) exit
  if (name && length(seq)>limit) {
    print name
    print seq
    if (label) {print "# " label}
  }
   system("rm -f "tmp)
}


